Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 511594 - dev-qt/qtwebkit-5.3.0[-libxml2] xml/XSLTProcessorQt.cpp:87:14: error: ‘class WebCore::Console’ has no member named ‘addMessage’
Summary: dev-qt/qtwebkit-5.3.0[-libxml2] xml/XSLTProcessorQt.cpp:87:14: error: ‘class ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt5-porting
  Show dependency tree
 
Reported: 2014-05-27 07:24 UTC by Franz Trischberger
Modified: 2014-10-22 17:39 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (qtwebkit_without_libxml2.log.xz,39.73 KB, application/x-xz)
2014-05-27 07:24 UTC, Franz Trischberger
Details
suggested patch (bug-511594.patch,2.15 KB, text/plain)
2014-10-22 16:46 UTC, Michael Palimaka (kensington)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Trischberger 2014-05-27 07:24:28 UTC
Created attachment 377694 [details]
build.log

Enabling USE=libxml2 made qtwebkit compile.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2014-05-27 12:32:55 UTC
Please post your `emerge --info' output in a comment.
Comment 2 Franz Trischberger 2014-05-28 08:59:02 UTC
$ emerge --info
Portage 2.2.10 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.19, 3.14.3-gentoo x86_64)
=================================================================
System uname: Linux-3.14.3-gentoo-x86_64-Intel-R-_Core-TM-_i3-2350M_CPU_@_2.30GHz-with-gentoo-2.2
KiB Mem:     3890460 total,    103844 free
KiB Swap:    5242876 total,   5204284 free
Timestamp of tree: Sun, 25 May 2014 07:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p47
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.2.5-r3, 3.3.3
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2::<unknown repository>
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1::<unknown repository>
sys-devel/autoconf:       2.13::<unknown repository>, 2.69::<unknown repository>
sys-devel/automake:       1.11.6::<unknown repository>, 1.12.6::<unknown repository>, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3::<unknown repository>
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4::<unknown repository>
sys-kernel/linux-headers: 3.14 (virtual/os-headers)
sys-libs/glibc:           2.19
Repositories: gentoo aidecoe enlightenment ff2000 kde local mv qt
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -O2 -pipe -ggdb"
DISTDIR="/var/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict u
nknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j15"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/repositories/gentoo"
PORTDIR_OVERLAY="/var/repositories/aidecoe /var/repositories/enlightenment /var/repositories/ff2000 /var/repositories/kde /var/repositories/local /var/repositories/mv /var/repositories/qt"
USE="X a52 aac acl acpi alsa amd64 apm berkdb branding bzip2 cairo cdda cdr cli cracklib crypt cups cxx dbus directfb dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gpm iconv infinality introspection ipv6 jpeg jpeg2k kipi lcdfilter lcms mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp openrc pam pango pcre pdf png ppds qt3support qt4 readline sdl session spell sse sse2 sse3 sse4 sse4_1 ssl ssse3 svg tcpd theora threads tiff truetype udev udisks unicode upower usb vaapi vorbis vpx x264 xcb xcomposite xml xscreensaver xv xvid zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="krita sheets stage words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de de_DE" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" SANE_BACKENDS="epson epson2" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 3 Alex 2014-09-03 14:59:37 UTC
I confirm this.

My USE flags for qtwebkit:5 were "-debug gstreamer -libxml2 multimedia opengl -printsupport -qml -test -udev +widgets +xslt". 
It didn't compile until I enabled libxml2.

I found similar bugreport http://thread.gmane.org/gmane.comp.lib.qt.devel/15816 here and guess that libxml2 flag should be needed dependency for xslt.
Comment 4 Paweł Stankowski 2014-10-21 17:52:19 UTC
I digged into this issue and found out that webkit now hard-depends on libxslt (which in turn depend on libxml) and '--enable-xslt' configure switch was removed [1]. Relevant use flag should then be removed. I also found a discussion [2] about moving to libxslt from QtWebPatterns library and idea was accepted.

[1] https://bugs.webkit.org/show_bug.cgi?id=112368
[2] https://lists.webkit.org/pipermail/webkit-qt/2011-November/002166.html
Comment 5 Michael Palimaka (kensington) gentoo-dev 2014-10-22 16:46:40 UTC
Created attachment 387214 [details]
suggested patch

Thanks for investigating. Attached is a suggested patch.
Comment 6 Davide Pesavento gentoo-dev 2014-10-22 17:00:46 UTC
(In reply to Michael Palimaka (kensington) from comment #5)
> Created attachment 387214 [details]
> suggested patch
> 
> Thanks for investigating. Attached is a suggested patch.

LGTM, thanks. Please apply to all versions in overlay and gx86.
Comment 7 Michael Palimaka (kensington) gentoo-dev 2014-10-22 17:39:50 UTC
Thanks, fixed in CVS and git.

+  22 Oct 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml,
+  qtwebkit-5.3.2-r1.ebuild:
+  Remove libxml2 and xslt USE flags wrt bug #511594.

https://github.com/gentoo/qt/commit/a4aa2ab527a53d34537b9deaa89333e83611e365